<?xml version="1.0" encoding="ISO-8859-1"?>
<VUE name="PMSI000004" 
	label="PMSI. Chiffrier OVALIDE - Contrôle" 
	database="iCTI" 
	swf="*CTI_view1" 
	softCode="iCTI_pmsi"
	componentFile="PMSI_components.XML"
	title="= 'PMSI. Chiffrier OVALIDE - Contrôle ' + VIEW.MAT2ATABLE1">
	<CACHE cachable="false" />
	<VIEWPROPERTIES>
		<PROPERTY dataLink="VIEWPROPERTIES" nameField="name" valueField="value" />
	</VIEWPROPERTIES>
	
	<SELECTIONS label="Table" displayText="= var display:String = '';
					
					
					if (VIEW.MAT2ATABLE2 != '') {
						display = display + ' ' + VIEW.MAT2ATABLE2;
					}
					if (VIEW.MAT2ATABLE3 != '') {
						display = display + ' ' + VIEW.MAT2ATABLE3;
					}
					if (VIEW.MAT2ATABLE4 != '') {
						display = display + ' ' + VIEW.MAT2ATABLE4;
					}
					
					if (display != '') {
					}
					return display;
					" 
			>
		<GROUP>
			<FIELD name="TABOID" label="Oid" UI="number" default="0" enabled="false"/>
		</GROUP>
	</SELECTIONS>
	
	<SELECTIONS>
		
	</SELECTIONS>
	
	<QUERIES>
		<QUERY> 
			
			<SQL>
				<select><![CDATA[ 
				
					SELECT v_mat2a_data_1.oid, 
						v_mat2a_data_1.line_type,
						1::numeric,
						CASE WHEN v_mat2a_data_1.line_type IN ('F') AND COALESCE(v_mat2a_data_1.data_mat2a[1],'') = '' THEN 'TOTAL' ELSE COALESCE(v_mat2a_data_1.data_mat2a[1],'') END,
						COALESCE(v_mat2a_data_1.data_mat2a[2],''),
						COALESCE(v_mat2a_data_1.data_mat2a[3],''),
						COALESCE(v_mat2a_data_1.data_mat2a[4],''),
						COALESCE(v_mat2a_data_1.data_mat2a[5],''),
						COALESCE(v_mat2a_data_1.data_mat2a[6],''),
						COALESCE(v_mat2a_data_1.data_mat2a[7],''),
						COALESCE(v_mat2a_data_1.data_mat2a[8],''),
						COALESCE(v_mat2a_data_1.data_mat2a[9],''),
						COALESCE(v_mat2a_data_1.data_mat2a[10],''),
						COALESCE(v_mat2a_data_1.data_mat2a[11],''),
						COALESCE(v_mat2a_data_1.data_mat2a[12],''),
						COALESCE(v_mat2a_data_1.data_mat2a[13],''),
						COALESCE(v_mat2a_data_1.data_mat2a[14],''),
						COALESCE(v_mat2a_data_1.data_mat2a[15],''),
						COALESCE(v_mat2a_data_1.data_mat2a[16],''),
						COALESCE(v_mat2a_data_1.data_mat2a[17],''),
						COALESCE(v_mat2a_data_1.data_mat2a[18],''),
						COALESCE(v_mat2a_data_1.data_mat2a[19],''),
						COALESCE(v_mat2a_data_1.data_mat2a[20],''),
						COALESCE(v_mat2a_data_1.data_mat2a[21],''),
						COALESCE(v_mat2a_data_1.data_mat2a[22],''),
						COALESCE(v_mat2a_data_1.data_mat2a[23],''),
						COALESCE(v_mat2a_data_1.data_mat2a[24],''),
						COALESCE(v_mat2a_data_1.data_mat2a[25],''),
						COALESCE(v_mat2a_data_1.data_mat2a[26],''),
						COALESCE(v_mat2a_data_1.data_mat2a[27],''),
						COALESCE(v_mat2a_data_1.data_mat2a[28],''),
						COALESCE(v_mat2a_data_1.data_mat2a[29],''),
						COALESCE(v_mat2a_data_1.data_mat2a[30],''),
						COALESCE(v_mat2a_data_1.data_err[1],''),
						COALESCE(v_mat2a_data_1.data_err[2],''),
						COALESCE(v_mat2a_data_1.data_err[3],''),
						COALESCE(v_mat2a_data_1.data_err[4],''),
						COALESCE(v_mat2a_data_1.data_err[5],''),
						COALESCE(v_mat2a_data_1.data_err[6],''),
						COALESCE(v_mat2a_data_1.data_err[7],''),
						COALESCE(v_mat2a_data_1.data_err[8],''),
						COALESCE(v_mat2a_data_1.data_err[9],''),
						COALESCE(v_mat2a_data_1.data_err[10],''),
						COALESCE(v_mat2a_data_1.data_err[11],''),
						COALESCE(v_mat2a_data_1.data_err[12],''),
						COALESCE(v_mat2a_data_1.data_err[13],''),
						COALESCE(v_mat2a_data_1.data_err[14],''),
						COALESCE(v_mat2a_data_1.data_err[15],''),
						COALESCE(v_mat2a_data_1.data_err[16],''),
						COALESCE(v_mat2a_data_1.data_err[17],''),
						COALESCE(v_mat2a_data_1.data_err[18],''),
						COALESCE(v_mat2a_data_1.data_err[19],''),
						COALESCE(v_mat2a_data_1.data_err[20],''),
						COALESCE(v_mat2a_data_1.data_err[21],''),
						COALESCE(v_mat2a_data_1.data_err[22],''),
						COALESCE(v_mat2a_data_1.data_err[23],''),
						COALESCE(v_mat2a_data_1.data_err[24],''),
						COALESCE(v_mat2a_data_1.data_err[25],''),
						COALESCE(v_mat2a_data_1.data_err[26],''),
						COALESCE(v_mat2a_data_1.data_err[27],''),
						COALESCE(v_mat2a_data_1.data_err[28],''),
						COALESCE(v_mat2a_data_1.data_err[29],''),
						COALESCE(v_mat2a_data_1.data_err[30],''),
						COALESCE(v_mat2a_data_1.data_cti[2],'N'),
						COALESCE(v_mat2a_data_1.data_cti[2],'N'),
						COALESCE(v_mat2a_data_1.data_cti[3],'N'),
						COALESCE(v_mat2a_data_1.data_cti[4],'N'),
						COALESCE(v_mat2a_data_1.data_cti[5],'N'),
						COALESCE(v_mat2a_data_1.data_cti[6],'N'),
						COALESCE(v_mat2a_data_1.data_cti[7],'N'),
						COALESCE(v_mat2a_data_1.data_cti[8],'N'),
						COALESCE(v_mat2a_data_1.data_cti[9],'N'),
						COALESCE(v_mat2a_data_1.data_cti[10],'N'),
						COALESCE(v_mat2a_data_1.data_cti[11],'N'),
						COALESCE(v_mat2a_data_1.data_cti[12],'N'),
						COALESCE(v_mat2a_data_1.data_cti[13],'N'),
						COALESCE(v_mat2a_data_1.data_cti[14],'N'),
						COALESCE(v_mat2a_data_1.data_cti[15],'N'),
						COALESCE(v_mat2a_data_1.data_cti[16],'N'),
						COALESCE(v_mat2a_data_1.data_cti[17],'N'),
						COALESCE(v_mat2a_data_1.data_cti[18],'N'),
						COALESCE(v_mat2a_data_1.data_cti[19],'N'),
						COALESCE(v_mat2a_data_1.data_cti[20],'N'),
						COALESCE(v_mat2a_data_1.data_cti[21],'N'),
						COALESCE(v_mat2a_data_1.data_cti[22],'N'),
						COALESCE(v_mat2a_data_1.data_cti[23],'N'),
						COALESCE(v_mat2a_data_1.data_cti[24],'N'),
						COALESCE(v_mat2a_data_1.data_cti[25],'N'),
						COALESCE(v_mat2a_data_1.data_cti[26],'N'),
						COALESCE(v_mat2a_data_1.data_cti[27],'N'),
						COALESCE(v_mat2a_data_1.data_cti[28],'N'),
						COALESCE(v_mat2a_data_1.data_cti[29],'N'),
						COALESCE(v_mat2a_data_1.data_cti[30],'N')
					FROM pmsi.v_mat2a_data_1
					JOIN pmsi.p_mat2a_data p_mat2a_data_table ON 
						p_mat2a_data_table.mat2a_import_id = v_mat2a_data_1.mat2a_import_id AND
						p_mat2a_data_table.file_code = v_mat2a_data_1.file_code AND
						p_mat2a_data_table.table_sequence = v_mat2a_data_1.table_sequence AND
						p_mat2a_data_table.line_type = 'T' AND
						p_mat2a_data_table.oid = [TABOID]
					WHERE v_mat2a_data_1.line_type IN ('D','F')
					
					UNION
					
					SELECT v_mat2a_data_1.oid, 
						v_mat2a_data_1.line_type,
						2::numeric,
						'',
						COALESCE(v_mat2a_data_1.data_cti[2],''),
						COALESCE(v_mat2a_data_1.data_cti[3],''),
						COALESCE(v_mat2a_data_1.data_cti[4],''),
						COALESCE(v_mat2a_data_1.data_cti[5],''),
						COALESCE(v_mat2a_data_1.data_cti[6],''),
						COALESCE(v_mat2a_data_1.data_cti[7],''),
						COALESCE(v_mat2a_data_1.data_cti[8],''),
						COALESCE(v_mat2a_data_1.data_cti[9],''),
						COALESCE(v_mat2a_data_1.data_cti[10],''),
						COALESCE(v_mat2a_data_1.data_cti[11],''),
						COALESCE(v_mat2a_data_1.data_cti[12],''),
						COALESCE(v_mat2a_data_1.data_cti[13],''),
						COALESCE(v_mat2a_data_1.data_cti[14],''),
						COALESCE(v_mat2a_data_1.data_cti[15],''),
						COALESCE(v_mat2a_data_1.data_cti[16],''),
						COALESCE(v_mat2a_data_1.data_cti[17],''),
						COALESCE(v_mat2a_data_1.data_cti[18],''),
						COALESCE(v_mat2a_data_1.data_cti[19],''),
						COALESCE(v_mat2a_data_1.data_cti[20],''),
						COALESCE(v_mat2a_data_1.data_cti[21],''),
						COALESCE(v_mat2a_data_1.data_cti[22],''),
						COALESCE(v_mat2a_data_1.data_cti[23],''),
						COALESCE(v_mat2a_data_1.data_cti[24],''),
						COALESCE(v_mat2a_data_1.data_cti[25],''),
						COALESCE(v_mat2a_data_1.data_cti[26],''),
						COALESCE(v_mat2a_data_1.data_cti[27],''),
						COALESCE(v_mat2a_data_1.data_cti[28],''),
						COALESCE(v_mat2a_data_1.data_cti[29],''),
						COALESCE(v_mat2a_data_1.data_cti[30],''),
						COALESCE(v_mat2a_data_1.data_err[1],''),
						COALESCE(v_mat2a_data_1.data_err[2],''),
						COALESCE(v_mat2a_data_1.data_err[3],''),
						COALESCE(v_mat2a_data_1.data_err[4],''),
						COALESCE(v_mat2a_data_1.data_err[5],''),
						COALESCE(v_mat2a_data_1.data_err[6],''),
						COALESCE(v_mat2a_data_1.data_err[7],''),
						COALESCE(v_mat2a_data_1.data_err[8],''),
						COALESCE(v_mat2a_data_1.data_err[9],''),
						COALESCE(v_mat2a_data_1.data_err[10],''),
						COALESCE(v_mat2a_data_1.data_err[11],''),
						COALESCE(v_mat2a_data_1.data_err[12],''),
						COALESCE(v_mat2a_data_1.data_err[13],''),
						COALESCE(v_mat2a_data_1.data_err[14],''),
						COALESCE(v_mat2a_data_1.data_err[15],''),
						COALESCE(v_mat2a_data_1.data_err[16],''),
						COALESCE(v_mat2a_data_1.data_err[17],''),
						COALESCE(v_mat2a_data_1.data_err[18],''),
						COALESCE(v_mat2a_data_1.data_err[19],''),
						COALESCE(v_mat2a_data_1.data_err[20],''),
						COALESCE(v_mat2a_data_1.data_err[21],''),
						COALESCE(v_mat2a_data_1.data_err[22],''),
						COALESCE(v_mat2a_data_1.data_err[23],''),
						COALESCE(v_mat2a_data_1.data_err[24],''),
						COALESCE(v_mat2a_data_1.data_err[25],''),
						COALESCE(v_mat2a_data_1.data_err[26],''),
						COALESCE(v_mat2a_data_1.data_err[27],''),
						COALESCE(v_mat2a_data_1.data_err[28],''),
						COALESCE(v_mat2a_data_1.data_err[29],''),
						COALESCE(v_mat2a_data_1.data_err[30],''),
						COALESCE(v_mat2a_data_1.data_cti[2],'N'),
						COALESCE(v_mat2a_data_1.data_cti[2],'N'),
						COALESCE(v_mat2a_data_1.data_cti[3],'N'),
						COALESCE(v_mat2a_data_1.data_cti[4],'N'),
						COALESCE(v_mat2a_data_1.data_cti[5],'N'),
						COALESCE(v_mat2a_data_1.data_cti[6],'N'),
						COALESCE(v_mat2a_data_1.data_cti[7],'N'),
						COALESCE(v_mat2a_data_1.data_cti[8],'N'),
						COALESCE(v_mat2a_data_1.data_cti[9],'N'),
						COALESCE(v_mat2a_data_1.data_cti[10],'N'),
						COALESCE(v_mat2a_data_1.data_cti[11],'N'),
						COALESCE(v_mat2a_data_1.data_cti[12],'N'),
						COALESCE(v_mat2a_data_1.data_cti[13],'N'),
						COALESCE(v_mat2a_data_1.data_cti[14],'N'),
						COALESCE(v_mat2a_data_1.data_cti[15],'N'),
						COALESCE(v_mat2a_data_1.data_cti[16],'N'),
						COALESCE(v_mat2a_data_1.data_cti[17],'N'),
						COALESCE(v_mat2a_data_1.data_cti[18],'N'),
						COALESCE(v_mat2a_data_1.data_cti[19],'N'),
						COALESCE(v_mat2a_data_1.data_cti[20],'N'),
						COALESCE(v_mat2a_data_1.data_cti[21],'N'),
						COALESCE(v_mat2a_data_1.data_cti[22],'N'),
						COALESCE(v_mat2a_data_1.data_cti[23],'N'),
						COALESCE(v_mat2a_data_1.data_cti[24],'N'),
						COALESCE(v_mat2a_data_1.data_cti[25],'N'),
						COALESCE(v_mat2a_data_1.data_cti[26],'N'),
						COALESCE(v_mat2a_data_1.data_cti[27],'N'),
						COALESCE(v_mat2a_data_1.data_cti[28],'N'),
						COALESCE(v_mat2a_data_1.data_cti[29],'N'),
						COALESCE(v_mat2a_data_1.data_cti[30],'N')
						
					FROM pmsi.v_mat2a_data_1
					JOIN pmsi.p_mat2a_data p_mat2a_data_table ON 
						p_mat2a_data_table.mat2a_import_id = v_mat2a_data_1.mat2a_import_id AND
						p_mat2a_data_table.file_code = v_mat2a_data_1.file_code AND
						p_mat2a_data_table.table_sequence = v_mat2a_data_1.table_sequence AND
						p_mat2a_data_table.line_type = 'T' AND
						p_mat2a_data_table.oid = [TABOID] AND
						v_mat2a_data_1.data_cti IS NOT NULL AND
						nb_data_err > 0
					WHERE v_mat2a_data_1.line_type IN ('D','F')
					
					ORDER BY 1,3;
				
				]]></select>
				<FIELDS>
					<FIELD name="OID" />
					<FIELD name="LINTYP" />
					<FIELD name="DTATYP" />
					<FIELD name="COL01" />
					<FIELD name="COL02" />
					<FIELD name="COL03" />
					<FIELD name="COL04" />
					<FIELD name="COL05" />
					<FIELD name="COL06" />
					<FIELD name="COL07" />
					<FIELD name="COL08" />
					<FIELD name="COL09" />
					<FIELD name="COL10" />
					<FIELD name="COL11" />
					<FIELD name="COL12" />
					<FIELD name="COL13" />
					<FIELD name="COL14" />
					<FIELD name="COL15" />
					<FIELD name="COL16" />
					<FIELD name="COL17" />
					<FIELD name="COL18" />
					<FIELD name="COL19" />
					<FIELD name="COL20" />
					<FIELD name="COL21" />
					<FIELD name="COL22" />
					<FIELD name="COL23" />
					<FIELD name="COL24" />
					<FIELD name="COL25" />
					<FIELD name="COL26" />
					<FIELD name="COL27" />
					<FIELD name="COL28" />
					<FIELD name="COL29" />
					<FIELD name="COL30" />
					<FIELD name="ERR01" />
					<FIELD name="ERR02" />
					<FIELD name="ERR03" />
					<FIELD name="ERR04" />
					<FIELD name="ERR05" />
					<FIELD name="ERR06" />
					<FIELD name="ERR07" />
					<FIELD name="ERR08" />
					<FIELD name="ERR09" />
					<FIELD name="ERR10" />
					<FIELD name="ERR11" />
					<FIELD name="ERR12" />
					<FIELD name="ERR13" />
					<FIELD name="ERR14" />
					<FIELD name="ERR15" />
					<FIELD name="ERR16" />
					<FIELD name="ERR17" />
					<FIELD name="ERR18" />
					<FIELD name="ERR19" />
					<FIELD name="ERR20" />
					<FIELD name="ERR21" />
					<FIELD name="ERR22" />
					<FIELD name="ERR23" />
					<FIELD name="ERR24" />
					<FIELD name="ERR25" />
					<FIELD name="ERR26" />
					<FIELD name="ERR27" />
					<FIELD name="ERR28" />
					<FIELD name="ERR29" />
					<FIELD name="ERR30" />
					<FIELD name="CTI01" />
					<FIELD name="CTI02" />
					<FIELD name="CTI03" />
					<FIELD name="CTI04" />
					<FIELD name="CTI05" />
					<FIELD name="CTI06" />
					<FIELD name="CTI07" />
					<FIELD name="CTI08" />
					<FIELD name="CTI09" />
					<FIELD name="CTI10" />
					<FIELD name="CTI11" />
					<FIELD name="CTI12" />
					<FIELD name="CTI13" />
					<FIELD name="CTI14" />
					<FIELD name="CTI15" />
					<FIELD name="CTI16" />
					<FIELD name="CTI17" />
					<FIELD name="CTI18" />
					<FIELD name="CTI19" />
					<FIELD name="CTI20" />
					<FIELD name="CTI21" />
					<FIELD name="CTI22" />
					<FIELD name="CTI23" />
					<FIELD name="CTI24" />
					<FIELD name="CTI25" />
					<FIELD name="CTI26" />
					<FIELD name="CTI27" />
					<FIELD name="CTI28" />
					<FIELD name="CTI29" />
					<FIELD name="CTI30" />
				</FIELDS>
			</SQL>
			
		</QUERY>
		
		<QUERY type="propertiesLink" name="VIEWPROPERTIES" forSelections="false">
			<SQL>
				<select><![CDATA[
						SELECT 'COLH'||to_char(c,'FM00'), trim(p_mat2a_data.data_mat2a[c])
						FROM  (SELECT generate_series(1,50) AS c) subview,
							pmsi.p_mat2a_data
						JOIN pmsi.p_mat2a_data p_mat2a_data_table ON 
							p_mat2a_data_table.mat2a_import_id = p_mat2a_data.mat2a_import_id AND
							p_mat2a_data_table.file_code = p_mat2a_data.file_code AND
							p_mat2a_data_table.table_sequence = p_mat2a_data.table_sequence AND
							p_mat2a_data_table.line_type = 'T' AND
							p_mat2a_data_table.oid = [TABOID]
						WHERE p_mat2a_data.line_type IN ('H') AND 
							p_mat2a_data.data_mat2a[c] IS NOT NULL AND 	
							substr(p_mat2a_data.data_mat2a[c],1,1) <> '%' AND
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%n-1%' AND 							
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%pourcentage%' AND 							
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%evolution%' AND 							
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%ap mars%' AND 							
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%1er mars%' AND 							
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%variation%' AND 							
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%moyen%' AND
							p_mat2a_data.data_mat2a[c] NOT ILIKE '%libellé%'
						ORDER BY 1;
				]]></select>
				<FIELDS>
					<FIELD name="name"/>
					<FIELD name="value"/>
				</FIELDS>
			</SQL>
			<SQL>
				<select><![CDATA[
						SELECT 'MAT2ATABLE'||to_char(c,'FM0'), trim(p_mat2a_data.data_mat2a[c])
						FROM  (SELECT generate_series(1,4) AS c) subview,
							pmsi.p_mat2a_data
						WHERE 	p_mat2a_data.line_type = 'T' AND
							p_mat2a_data.oid = [TABOID]
						ORDER BY 1;
				]]></select>
				<FIELDS>
					<FIELD name="name"/>
					<FIELD name="value"/>
				</FIELDS>
			</SQL>
		</QUERY>

	</QUERIES>
	
	<CALCFIELDS>
	</CALCFIELDS>
	
	<PRESENTATION>
	
		
		<ONGLET label="Données">
		
			<DATAGRID title="Données" total="false" sortable="false" headerHeight="48" >
				<ROWSTYLE name="fontWeight" value="bold" condition="ROW.LINTYP == 'F'"/>
				<COLUMN dataField="OID" 
					type="Number"
					width="110"
					visible="false"
					outputFormat="#"
					headerTextCalc="true"
					headerText="VIEW.COLH01"
					textAlign="right" />
				<COLUMN dataField="LINTYP"
					type="Char"
					visible="false"
					 />
				<COLUMN dataField="ERR01" type="Char" visible="false" />
				<COLUMN dataField="ERR02" type="Char" visible="false" />
				<COLUMN dataField="ERR03" type="Char" visible="false" />
				<COLUMN dataField="ERR04" type="Char" visible="false" />
				<COLUMN dataField="ERR05" type="Char" visible="false" />
				<COLUMN dataField="ERR06" type="Char" visible="false" />
				<COLUMN dataField="ERR07" type="Char" visible="false" />
				<COLUMN dataField="ERR08" type="Char" visible="false" />
				<COLUMN dataField="ERR09" type="Char" visible="false" />
				<COLUMN dataField="ERR10" type="Char" visible="false" />
				<COLUMN dataField="ERR11" type="Char" visible="false" />
				<COLUMN dataField="ERR12" type="Char" visible="false" />
				<COLUMN dataField="ERR13" type="Char" visible="false" />
				<COLUMN dataField="ERR14" type="Char" visible="false" />
				<COLUMN dataField="ERR15" type="Char" visible="false" />
				<COLUMN dataField="ERR16" type="Char" visible="false" />
				<COLUMN dataField="ERR17" type="Char" visible="false" />
				<COLUMN dataField="ERR18" type="Char" visible="false" />
				<COLUMN dataField="ERR19" type="Char" visible="false" />
				<COLUMN dataField="ERR20" type="Char" visible="false" />
				<COLUMN dataField="ERR21" type="Char" visible="false" />
				<COLUMN dataField="ERR22" type="Char" visible="false" />
				<COLUMN dataField="ERR23" type="Char" visible="false" />
				<COLUMN dataField="ERR24" type="Char" visible="false" />
				<COLUMN dataField="ERR25" type="Char" visible="false" />
				<COLUMN dataField="ERR26" type="Char" visible="false" />
				<COLUMN dataField="ERR27" type="Char" visible="false" />
				<COLUMN dataField="ERR28" type="Char" visible="false" />
				<COLUMN dataField="ERR29" type="Char" visible="false" />
				<COLUMN dataField="ERR30" type="Char" visible="false" />
				<COLUMN dataField="CTI01" type="Char" visible="false" />
				<COLUMN dataField="CTI02" type="Char" visible="false" />
				<COLUMN dataField="CTI03" type="Char" visible="false" />
				<COLUMN dataField="CTI04" type="Char" visible="false" />
				<COLUMN dataField="CTI05" type="Char" visible="false" />
				<COLUMN dataField="CTI06" type="Char" visible="false" />
				<COLUMN dataField="CTI07" type="Char" visible="false" />
				<COLUMN dataField="CTI08" type="Char" visible="false" />
				<COLUMN dataField="CTI09" type="Char" visible="false" />
				<COLUMN dataField="CTI10" type="Char" visible="false" />
				<COLUMN dataField="CTI11" type="Char" visible="false" />
				<COLUMN dataField="CTI12" type="Char" visible="false" />
				<COLUMN dataField="CTI13" type="Char" visible="false" />
				<COLUMN dataField="CTI14" type="Char" visible="false" />
				<COLUMN dataField="CTI15" type="Char" visible="false" />
				<COLUMN dataField="CTI16" type="Char" visible="false" />
				<COLUMN dataField="CTI17" type="Char" visible="false" />
				<COLUMN dataField="CTI18" type="Char" visible="false" />
				<COLUMN dataField="CTI19" type="Char" visible="false" />
				<COLUMN dataField="CTI20" type="Char" visible="false" />
				<COLUMN dataField="CTI21" type="Char" visible="false" />
				<COLUMN dataField="CTI22" type="Char" visible="false" />
				<COLUMN dataField="CTI23" type="Char" visible="false" />
				<COLUMN dataField="CTI24" type="Char" visible="false" />
				<COLUMN dataField="CTI25" type="Char" visible="false" />
				<COLUMN dataField="CTI26" type="Char" visible="false" />
				<COLUMN dataField="CTI27" type="Char" visible="false" />
				<COLUMN dataField="CTI28" type="Char" visible="false" />
				<COLUMN dataField="CTI29" type="Char" visible="false" />
				<COLUMN dataField="CTI30" type="Char" visible="false" />
				<COLUMN dataField="COL01"
					type="Char"
					visibleCondition="VIEW.COLH01 != null"
					minWidth="100"
					headerTextCalc="true"
					headerText="VIEW.COLH01">
					<CELLSTYLE name="paddingLeft" value="20" condition="ROW.DTATYP == '2'"/>
				</COLUMN>
				<COLUMN dataField="COL02"
					type="Char"
					visibleCondition="VIEW.COLH02 != null"
					minWidth="100"
					headerTextCalc="true"
					headerText="VIEW.COLH02"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI02 == 'N' &amp;&amp; ROW.COL02 &gt;= '0' &amp;&amp; ROW.COL02 &lt;= '999'  "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR02 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR02 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR02 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR02 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL03"
					type="Number"
					visibleCondition="VIEW.COLH03 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH03"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI03 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR03 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR03 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR03 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR03 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL04"
					type="Number"
					visibleCondition="VIEW.COLH04 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH04"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI04 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR04 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR04 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR04 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR04 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL05"
					type="Number"
					visibleCondition="VIEW.COLH05 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH05"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI05 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR05 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR05 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR05 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR05 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL06"
					type="Number"
					visibleCondition="VIEW.COLH06 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH06"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI06 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR06 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR06 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR06 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR06 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL07"
					type="Number"
					visibleCondition="VIEW.COLH07 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH07"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI07 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR07 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR07 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR07 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR07 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL08"
					type="Number"
					visibleCondition="VIEW.COLH08 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH08"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI08 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR08 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR08 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR08 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR08 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL09"
					type="Number"
					visibleCondition="VIEW.COLH09 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH09"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI09 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR09 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR09 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR09 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR09 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL10"
					type="Number"
					visibleCondition="VIEW.COLH10 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH10"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI10 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR10 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR10 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR10 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR10 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL11"
					type="Number"
					visibleCondition="VIEW.COLH11 != null"
					minWidth="80"
					headerTextCalc="true"
					headerText="VIEW.COLH11"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI11 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR11 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR11 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR11 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR11 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL12"
					type="Number"
					visibleCondition="VIEW.COLH12 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH12"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI12 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR12 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR12 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR12 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR12 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL13"
					type="Number"
					visibleCondition="VIEW.COLH13 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH13"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI13 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR13 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR13 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR13 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR13 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL14"
					type="Number"
					visibleCondition="VIEW.COLH14 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH14"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI14 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR14 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR14 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR14 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR14 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL15"
					type="Number"
					visibleCondition="VIEW.COLH15 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH15"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI15 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR15 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR15 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR15 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR15 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL16"
					type="Number"
					visibleCondition="VIEW.COLH16 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH16"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI16 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR16 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR16 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR16 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR16 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL17"
					type="Number"
					visibleCondition="VIEW.COLH17 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH17"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI17 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR17 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR17 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR17 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR17 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL18"
					type="Number"
					visibleCondition="VIEW.COLH18 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH18"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI18 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR18 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR18 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR18 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR18 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL19"
					type="Number"
					visibleCondition="VIEW.COLH19 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH19"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI19 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR19 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR19 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR19 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR19 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL20"
					type="Number"
					visibleCondition="VIEW.COLH20 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH20"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI20 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR20 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR20 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR20 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR20 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL21"
					type="Number"
					visibleCondition="VIEW.COLH21 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH21"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI21 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR21 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR21 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR21 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR21 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL22"
					type="Number"
					visibleCondition="VIEW.COLH22 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH22"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI22 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR22 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR22 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR22 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR22 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL23"
					type="Number"
					visibleCondition="VIEW.COLH23 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH23"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI23 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR23 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR23 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR23 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR23 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL24"
					type="Number"
					visibleCondition="VIEW.COLH24 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH24"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI24 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR24 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR24 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR24 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR24 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL25"
					type="Number"
					visibleCondition="VIEW.COLH25 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH25"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI25 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR25 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR25 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR25 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR25 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL26"
					type="Number"
					visibleCondition="VIEW.COLH26 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH26"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI26 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR26 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR26 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR26 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR26 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL27"
					type="Number"
					visibleCondition="VIEW.COLH27 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH27"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI27 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR27 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR27 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR27 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR27 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL28"
					type="Number"
					visibleCondition="VIEW.COLH28 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH28"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI28 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR28 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR28 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR28 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR28 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL29"
					type="Number"
					visibleCondition="VIEW.COLH29 != null"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					minWidth="80"
					headerTextCalc="true"
					headerText="VIEW.COLH29"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI29 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR29 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR29 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR29 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR29 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="COL30"
					type="Number"
					visibleCondition="VIEW.COLH30 != null"
					minWidth="80"
					outputFormat="= if (ROW.DTATYP == '2') {return 'CTI = #';} else {return '#'}"
					headerTextCalc="true"
					headerText="VIEW.COLH30"
					fixed="false">
					<CELLSTYLE name="backgroundColor" value="0xDCDCDC" condition="ROW.CTI30 == 'N' "/>
					<CELLSTYLE name="color" value="0xE11605" condition="ROW.ERR30 == '1'"/>
					<CELLSTYLE name="fontWeight" value="bold" condition="ROW.ERR30 == '1'"/>
					<CELLSTYLE name="fontSize" value="10" condition="ROW.ERR30 == '1' &amp;&amp; ROW.DTATYP == '2'"/>
					<CELLSTYLE name="fontSize" value="12" condition="ROW.ERR30 == '1' &amp;&amp; ROW.DTATYP != '2'"/>
				</COLUMN>
				<COLUMN dataField="FILLER"
					type="Char"
					visible="true"
					width="5"
					headerText=""
					fixed="false">
				</COLUMN>
			</DATAGRID>
		
		</ONGLET>
		
		
		
				
	</PRESENTATION>
	
</VUE>

			
